-- demo4.adb
--
-- Create a frame with all implemented items
--

-- Include neccesary packages

with Text_Io,Xv_Base_Package,Demo4_Frame_Package;
use  Text_Io,Xv_Base_Package,Demo4_Frame_Package;

procedure demo4 is 
-- Pointers to dynamically allocated objects
   Xv_Ptr     : Xv_Base_Ptr;
   Frame_Ptr  : Demo4_Frame_Ptr;
begin
   -- Initialize XView
   xv_ptr    := new Xv_Base;

   -- Create the frame window
   Frame_Ptr := new Demo4_Frame;

   -- Here some exceptions are taken care of...
exception
   when QUIT_PROGRAM =>
      null;
   when STORAGE_ERROR =>
      put ("demo2: No more memory... Terminating..."); new_line;
   when NO_OBJECT_CREATED =>
      put ("demo2: object not created, maybe invalid data..."); new_line;
end demo4;

